<template>
  <div class="comment-list" style="width: 100%;" >

    <v-container>
      <div v-if="comments.length > 0">
        <v-card class="mb-5" v-for="comment in comments" :key="comment.id">

          <v-card-title>
            <span class="mr-3"> {{comment.title}} </span>
              <star-rating :inline="true" 
                :star-size="20" 
                :read-only="true" 
                :show-rating="false" 
                :rating="comment.notation"
                :round-start-rating="false" >
              </star-rating>
          </v-card-title>

          <v-card-subtitle>{{comment.commentator.firstName}} {{comment.commentator.lastName}}</v-card-subtitle>

          <v-card-text>{{comment.content}}</v-card-text>

        </v-card>
      </div>
      <div v-else>
        <span> Pas encore de commentaires pour ce produit.</span>
      </div>
    </v-container>
  </div>
</template>

<script>

import StarRating from 'vue-star-rating';

export default {
  name: 'CommentList',
  servicePrefix: 'Comment',
  components: {
    StarRating
  },
  data() {
    return {
    }
  },
  props: {
    comments: {
      type: Array
    }
  },
};
</script>
